/*
 * Moonlight|3D
 * Copyright (C) 2008 The Moonlight|3D team
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * Created on Oct 22, 2008
 */

package eu.moonlight3d.common.document.extensible;

import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;

import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;

public class UnhandledContribution {
	/**
	 * This is required as a container around the DOM node
	 * to be able to keep it in memory, but at the same time
	 * detached from the original document.
	 */
	private Document document;
	/**
	 * This is the DOM node containing the unhandled contribution.
	 * Copies of this are saved to file.
	 */
	private Node contributionNode;
	
	public UnhandledContribution(Node node) throws ParserConfigurationException {
    	document=DocumentBuilderFactory.newInstance().newDocumentBuilder().newDocument();
		Node importedNode=document.importNode(node, true);
		document.appendChild(importedNode);
	}
	
	public void write(Element contributionRoot) {
		Node copiedContribNode=contributionNode.cloneNode(true);
		Node importedNode=contributionRoot.getOwnerDocument().importNode(copiedContribNode, true);
		contributionRoot.appendChild(importedNode);
	}
}
