/*
 * Moonlight|3D Copyright (C) 2005 The Moonlight|3D team
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 * 
 * Created on Jan 13, 2005
 */
package eu.moonlight3d.common.file.core;


import com.trolltech.qt.gui.QDialog;
import com.trolltech.qt.gui.QHBoxLayout;
import com.trolltech.qt.gui.QPushButton;
import com.trolltech.qt.gui.QVBoxLayout;
import com.trolltech.qt.gui.QWidget;

import eu.moonlight3d.common.ui.propertysheet.PropertySheet;
import eu.moonlight3d.framework.helper.PropertyContainer;
import eu.moonlight3d.framework.localization.L10N;

/**
 * This is the settings dialog for import and export settings editing.
 * 
 * @author gregor
 */
public class SettingsDialog extends QDialog {
    /**
     * Property sheet to show
     */
    PropertySheet propertySheet;
    
    /**
     * Default constructor
     * @param parent parent widget
     * @param propertySheet property sheet to show
     * @param title dialog title
     */
	public SettingsDialog(QWidget parent, PropertyContainer propertyContainer, String title) {
		super(parent);
		setWindowTitle(title);
		setMinimumSize(300,400);

        propertySheet=new PropertySheet(this);
        propertySheet.setPropertyContainer(propertyContainer);
        
		QPushButton ok=new QPushButton(this);
		ok.setText(L10N.translate("OK"));
		ok.clicked.connect(this,"accept()");
		
		QPushButton cancel=new QPushButton(this);
		cancel.setText(L10N.translate("Cancel"));
		cancel.clicked.connect(this,"reject()");
		
		QVBoxLayout layout=new QVBoxLayout();
		layout.addWidget(propertySheet,1);
		
		QHBoxLayout bottomLayout=new QHBoxLayout();
		bottomLayout.addStretch(1);
		bottomLayout.addWidget(ok,0);
		bottomLayout.addWidget(cancel,0);
		
		layout.addLayout(bottomLayout);
		
		setLayout(layout);
	}
}
