/*
 * Moonlight|3D Copyright (C) 2006 The Moonlight|3D team
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 * 
 * Created on Feb 20, 2006
 */
package eu.moonlight3d.common.ui.coreactions;


import com.trolltech.qt.gui.QWidget;

import eu.moonlight3d.framework.localization.L10N;
import eu.moonlight3d.framework.ui.Action;
import eu.moonlight3d.framework.ui.ApplicationWindow;

public class CloseCurrentFrameAction extends Action {
	public CloseCurrentFrameAction(QWidget parent)
	{
		super("CloseCurrentFrameAction",L10N.translate("&Close"),parent);
		setShortcut("Ctrl+W");
        setToolTip(L10N.translate("Close current window"));
        setStatusTip(L10N.translate("Close current window"));
        triggered.connect(this,"run()");
	}

	@Override
	public void run() throws Exception {
		ApplicationWindow window=eu.moonlight3d.framework.State.getInstance().getUIManager().getActiveApplicationWindow();
		window.close();
	}
}
