/*
 * Moonlight|3D Copyright (C) 2006 The Moonlight|3D team
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 * 
 * Created on Sep 20, 2006
 */
package eu.moonlight3d.common.ui.coreactions;


import com.trolltech.qt.core.QObject;
import com.trolltech.qt.gui.QMessageBox;
import com.trolltech.qt.gui.QMessageBox.StandardButton;

import eu.moonlight3d.framework.State;
import eu.moonlight3d.framework.document.DocumentManager;
import eu.moonlight3d.framework.localization.L10N;
import eu.moonlight3d.framework.ui.Action;
import eu.moonlight3d.framework.ui.ApplicationWindow;

public class ExitAction extends Action {

	public ExitAction(QObject parent) {
		super("ExitAction", L10N.translate("E&xit"), parent);
		setShortcut("Ctrl+Q");
        setToolTip(L10N.translate("Exit the program"));
        setStatusTip(L10N.translate("Exit the program"));
        triggered.connect(this,"run()");
	}

	@Override
	public void run() throws Exception {
		DocumentManager documentManager=State.getInstance().getDocumentManager();
		if(documentManager.getMainDocument()!=null) {
			if(documentManager.getMainDocument().hasUnsavedChanges()) {
				String boxTitle=L10N.translate("Unsaved changes");
				String boxMessage=L10N.translate("The current file contains unsaved changes. Do you wish to discard them?");
				StandardButton result=QMessageBox.question(null,boxTitle,boxMessage, new QMessageBox.StandardButtons(StandardButton.Yes, StandardButton.No));
				if(result!=StandardButton.Yes) {
					return;
				}
			}
		}

        ApplicationWindow window = State.getInstance().getMainWindow();
        window.close();
	}
}
