/*
 * Moonlight|3D
 * Copyright (C) 2009 The Moonlight|3D team
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * Created on Sep 25, 2009
 */

package eu.moonlight3d.common.ui.fileactions;

import java.util.ArrayList;

import eu.moonlight3d.framework.State;
import eu.moonlight3d.framework.document.DocumentFactory;
import eu.moonlight3d.framework.ui.Action;
import eu.moonlight3d.framework.ui.ActionGenerator;

public class FileActionsGenerator extends ActionGenerator {
	public FileActionsGenerator() {
		super("FileActionsGenerator");
	}

	@Override
	public ArrayList<Action> getActions() {
		boolean haveCreateableDocuments=false;
		boolean haveSaveableDocuments=false;
		
		// check if there are createable and saveable documents
		State state=State.getInstance();
		for(DocumentFactory factory : state.getDocumentManager().getDocumentFactories()) {
			if(factory.canCreateNew()) {
				haveCreateableDocuments=true;
			}
			if(factory.canSaveFiles()) {
				haveSaveableDocuments=true;
			}
		}
		
		// return an according list of actions
		ArrayList<Action> actions=new ArrayList<Action>();
		if(haveCreateableDocuments) {
			actions.add(new NewAction(null));
		}
		actions.add(new OpenAction(null));
		if(haveSaveableDocuments) {
			actions.add(new SaveAction(null));
			actions.add(new SaveAsAction(null));
		}
		
		return actions;
	}

}
