/*
 * Moonlight|3D
 * Copyright (C) 2007 The Moonlight|3D team
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * Created on Sep 20, 2007
 */

package eu.moonlight3d.common.ui.mainwindow;

import java.util.ArrayList;

import eu.moonlight3d.framework.State;
import eu.moonlight3d.framework.ui.FrameLayout;
import eu.moonlight3d.framework.ui.UIManager;

/**
 * Plugin class for the main window plugin.
 *
 * @author gregor
 */
public class Plugin implements eu.moonlight3d.framework.plugins.Plugin {

	public ArrayList<String> getDependencies() {
		// no dependencies here
		return null;
	}

	public String getName() {
		return "eu.moonlight3d.common.ui.mainwindow.Plugin";
	}

	public void load() throws Exception {
		State state=State.getInstance();
		if(!state.getBatchMode()) {
			// register main window layout
			UIManager manager=state.getUIManager();
			FrameLayout mainWindowLayout=new FrameLayout("mainwindow",state.getVersionInformation().getApplicationName());
			manager.addOrReplaceLayout(mainWindowLayout);
		}
	}

	public void unload() throws Exception {
		State state=State.getInstance();
		if(!state.getBatchMode()) {
			// nothing to do here
		}
	}

}
