/*
 * Moonlight|3D Copyright (C) 2006 The Moonlight|3D team
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 * 
 * Created on Jan 2, 2006
 */
package eu.moonlight3d.common.ui.preferences;
/**
 * \package eu.moonlight3d.common.ui.preferences
 *
 * This plugin contains the preferences dialog
 * 
 * This package is a plugin that depends on ml.plugins.ui.coretools
 */

import java.util.ArrayList;

import eu.moonlight3d.framework.State;
import eu.moonlight3d.framework.localization.L10N;
import eu.moonlight3d.framework.ui.MenuNode;


/**
 * preferences plugin initializer
 *
 * @author gregor
 */
public class Plugin implements eu.moonlight3d.framework.plugins.Plugin {

	public String getName() {
		return "eu.moonlight3d.common.ui.preferences.Plugin";
	}

	public ArrayList<String> getDependencies() {
		ArrayList<String> dependencyList=new ArrayList<String>();
		
		dependencyList.add("eu.moonlight3d.common.ui.coreactions.Plugin");
		dependencyList.add("eu.moonlight3d.common.ui.propertysheet.Plugin");
		
		return dependencyList;
	}

	public void load() throws Exception {
		State state=State.getInstance();
		if (!state.getBatchMode()) {
			state.getUIManager().registerAction(new PreferencesAction(null));

			MenuNode contribution = new MenuNode(MenuNode.Type.Contribution, "Preferences", "fileMenuExtensionPoint");
			contribution.add(new MenuNode(MenuNode.Type.Entry, L10N.translate("Preferences..."), "PreferencesAction"));
			contribution.add(new MenuNode(MenuNode.Type.Separator, "", ""));
			state.getUIManager().getLayout("mainwindow").addMenuContribution(contribution);
		}
	}

	public void unload() throws Exception {
		State state=State.getInstance();
		if (!state.getBatchMode()) {
			state.getUIManager().unregisterAction("PreferencesAction");
		}
	}
}
