/*
 * Moonlight|3D Copyright (C) 2006 The Moonlight|3D team
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 * 
 * Created on Jan 2, 2006
 */
package eu.moonlight3d.common.ui.preferences;


import com.trolltech.qt.gui.QWidget;

import eu.moonlight3d.framework.localization.L10N;
import eu.moonlight3d.framework.ui.Action;

/**
 * Implementation of Preferences actino. It displays the
 * preferences dialog.
 *
 * @author gregor
 */
public class PreferencesAction extends Action {
	
	/**
	 * Constructor taking a QWidget as a parent
	 * 
	 * @param parent parent widget
	 */
	public PreferencesAction(QWidget parent) {
		super("PreferencesAction",L10N.translate("Preferences..."),parent);
		triggered.connect(this,"run()");
	}

	@Override
	public void run() throws Exception {
		PreferencesDialog dialog=new PreferencesDialog(eu.moonlight3d.framework.State.getInstance().getMainWindow());
		dialog.setModal(true);
		dialog.show();
	}

}
