/*
 * Moonlight|3D Copyright (C) 2006 The Moonlight|3D team
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 * 
 * Created on Sep 24, 2006
 */
package eu.moonlight3d.common.ui.propertysheet;

import java.util.ArrayList;

import com.trolltech.qt.gui.QScrollArea;
import com.trolltech.qt.gui.QVBoxLayout;
import com.trolltech.qt.gui.QWidget;

public class ExpandBar extends QScrollArea {
	private QWidget childWidget;
	private QVBoxLayout layout;
	private ArrayList<ExpandItem> expandItems;
	
	public ExpandBar(QWidget parent) {
		super(parent);
		
//		setFrameStyle(QFrame.NoFrame);
		
		childWidget=new QWidget(this);
//		childWidget.setMinimumSize(1000,1000);
		setWidget(childWidget);
		setWidgetResizable(true);
		
		layout=new QVBoxLayout();
		layout.setSpacing(0);
		childWidget.setLayout(layout);
		
		expandItems=new ArrayList<ExpandItem>();
	}
	
	public void addExpandItem(ExpandItem item) {
		expandItems.add(item);
		item.setParent(childWidget);
		layout.addWidget(item);
		item.show();
		childWidget.setMinimumSize(layout.minimumSize());
		childWidget.setMaximumHeight(layout.minimumSize().height());
		item.setExpandBar(this);
	}
	
	public void resetSize() {
		childWidget.setMinimumSize(layout.minimumSize());		
		childWidget.setMaximumHeight(layout.minimumSize().height());
	}
	
	public void clear() {
		for(ExpandItem item : expandItems) {
			layout.removeWidget(item);
			item.disposeLater();
		}
		expandItems.clear();
	}
}
