/*
 * Moonlight|3D Copyright (C) 2005 The Moonlight|3D team
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 * 
 * Created on Nov 28, 2005
 */
package eu.moonlight3d.common.ui.propertysheet;

import eu.moonlight3d.framework.helper.Property;
import eu.moonlight3d.framework.helper.PropertyContainer;

/**
 * This is a event listener interface for use with the PropertySheet.
 * It is called on property sheet specific events.
 * 
 * @see PropertySheet
 *
 * @author gregor
 */
public interface PropertySheetListener {
	/**
	 * Property container change event. This is called whenever the poperty
	 * container the sheet is built from is being replaced by another one.
	 * 
	 * @param container the new container
	 */
	public void propertyContainerChanged(PropertyContainer container);
	/**
	 * Property update event. This is called whenever a property value is
	 * updated in the editor.
	 * 
	 * @param property the property having been updated
	 */
	public void propertyValueUpdated(Property property);
}
