/*
 * Moonlight|3D
 * Copyright (C) 2007 The Moonlight|3D team
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * Created on Sep 20, 2007
 */

package eu.moonlight3d.common.ui.viewactions;

import java.util.ArrayList;

import eu.moonlight3d.framework.State;
import eu.moonlight3d.framework.localization.L10N;
import eu.moonlight3d.framework.ui.MenuNode;
import eu.moonlight3d.framework.ui.UIManager;


/**
 * viewactions Plugin initializer.
 *
 * @author gregor
 */
public class Plugin implements eu.moonlight3d.framework.plugins.Plugin {

	public ArrayList<String> getDependencies() {
		ArrayList<String> dependencyList=new ArrayList<String>();
		dependencyList.add("eu.moonlight3d.common.ui.coreactions.Plugin");
		return dependencyList;
	}

	public String getName() {
		return "eu.moonlight3d.common.ui.viewactions.Plugin";
	}

	public void load() throws Exception {
		State state=State.getInstance();
		if(!state.getBatchMode()) {
			UIManager manager=state.getUIManager();
			
			manager.registerActionGenerator(new DockWidgetToggleActionGenerator("mainwindow"));
			
			// build the file menu extension
			MenuNode contribution=new MenuNode(MenuNode.Type.Contribution,"B_View","menubar");
			MenuNode viewMenu=new MenuNode(MenuNode.Type.Menu,L10N.translate("View"),"");
			MenuNode docksMenu=new MenuNode(MenuNode.Type.Menu,L10N.translate("Docks"),"");
			docksMenu.add(new MenuNode(MenuNode.Type.Generator,"DockWidgetToggleActionGenerator",""));
			viewMenu.add(docksMenu);
			viewMenu.add(new MenuNode(MenuNode.Type.Separator,"",""));
			viewMenu.add(new MenuNode(MenuNode.Type.ExtensionPoint,"viewMenuExtensionPoint",""));
			contribution.add(viewMenu);
			State.getInstance().getUIManager().getLayout("mainwindow").addMenuContribution(contribution);
		}
	}

	public void unload() throws Exception {
		State state=State.getInstance();
		if(!state.getBatchMode()) {
			UIManager manager=state.getUIManager();
			
			manager.unregisterActionGenerator("DockWidgetToggleActionGenerator");
		}
	}

}
