/*
 * Moonlight|3D Copyright (C) 2005 The Moonlight|3D team
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 * 
 * Created on Jan 21, 2005
 */
package eu.moonlight3d.framework.scripts;

/**
 * This is the base interface for script interpreters. For each seperate
 * script context a new Interpreter is created and given either a file
 * or a string to be run as a script.
 * 
 * @author gregor
 */
public interface Interpreter {
	/**
	 * Run a script from the given file.
	 * 
	 * @param filename the script file
	 * @throws Exception
	 */
    public void runFile(String filename) throws Exception;
    
    /**
     * Run the script passed as scriptText.
     * 
     * @param scriptText the script to be run
     * @throws Exception
     */
    public void runText(String scriptText) throws Exception;
}
