/*
 * Moonlight|3D
 * Copyright (C) 2007 The Moonlight|3D team
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * Created on Sep 29, 2007
 */

package eu.moonlight3d.framework.ui;

import eu.moonlight3d.framework.helper.DefaultFactory;

/**
 * Specialized factory for dock widgets. 
 *
 * @author gregor
 */
public class DockWidgetFactory extends DefaultFactory {
	/**
	 * Dock widget title.
	 */
	private String title;

	/**
	 * Create a new dock widget factory that creates a widget of the
	 * given class.
	 * 
	 * @param name the internal name of the factory
	 * @param title the title of the resulting dock widget
	 * @param product the class of which to create new instances
	 */
	public DockWidgetFactory(String name, String title, Class product) {
		super(name, product);
		this.title=title;
		// TODO Auto-generated constructor stub
	}
	
	/**
	 * Return a newly created dock widget.
	 * @return new dock widget
	 */
	@Override
	public DockWidget createNew() {
		return (DockWidget) super.createNew();
	}
	
	/**
	 * Return the widget title.
	 * @return widget title.
	 */
	public String getTitle() {
		return title;
	}

}
