/*
 * Moonlight|3D Copyright (C) 2005 The Moonlight|3D team
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 * 
 * Created on Jan 31, 2005
 */
package eu.moonlight3d.framework.ui;

import java.io.File;

import com.trolltech.qt.core.QCoreApplication;
import com.trolltech.qt.core.Qt;
import com.trolltech.qt.gui.QColor;
import com.trolltech.qt.gui.QPixmap;
import com.trolltech.qt.gui.QSplashScreen;

/**
 * This class shows a splash screen while the program is starting up
 *
 * @author gregor
 */
public class SplashScreen extends QSplashScreen {
	private static final String SPLASH_FILE="icons/splash.bmp";
	
    protected static SplashScreen splashScreen;
    protected static String startupMessage;
    
    protected SplashScreen()
    {
    	super(new QPixmap("icons/splash.bmp"));
        startupMessage="Loading...";
        showMessage(startupMessage,(new Qt.Alignment(Qt.AlignmentFlag.AlignBottom,Qt.AlignmentFlag.AlignHCenter)).value(),QColor.white);
    }
    
    public static void open() {
    	File splashBitmap=new File(SPLASH_FILE);
    	
    	if(!splashBitmap.exists()) {
    		return;
    	}
    	
    	splashScreen=new SplashScreen();
    	splashScreen.show();
        QCoreApplication.processEvents();
    }
    
    public static void remove() {
    	if(splashScreen==null) {
    		return;
    	}
    	
    	splashScreen.hide();
    	splashScreen=null;
    }
    
    public static void setStartupMessage(String newMessage)
    {
        startupMessage=newMessage;

        if(splashScreen==null) {
    		return;
    	}
    	
        splashScreen.showMessage(newMessage,(new Qt.Alignment(Qt.AlignmentFlag.AlignBottom,Qt.AlignmentFlag.AlignHCenter)).value(),QColor.white);
        QCoreApplication.processEvents();
    }
}
