/*
 * Moonlight|3D
 * Copyright (C) 2009 The Moonlight|3D team
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * Created on Sep 16, 2009
 */

package eu.moonlight3d.hdrviewer.document;

import eu.moonlight3d.common.image.core.FormatManager;
import eu.moonlight3d.common.image.core.Framebuffer;
import eu.moonlight3d.common.image.core.ImageFormat;
import eu.moonlight3d.framework.document.Document;
import eu.moonlight3d.framework.helper.PropertyContainer;

public class ImageDocument implements Document {
	private String filename;
	private Framebuffer image;
	
	ImageDocument(String filename) {
		this.filename=filename;
		
		// load image
		FormatManager formatManager=FormatManager.getInstance();
		for(ImageFormat format : formatManager.getFormats()) {
			if(format.isLoadable() && format.canLoadFile(filename)) {
				try {
					image=format.loadFile(filename);
					if(image!=null) {
						break;
					}
				} catch (Exception e) {
					continue; // ignore exception and try next format
				}
			}
		}
	}

	public void close() {
	}

	public String getFilename() {
		return filename;
	}

	public String getTypeName() {
		// TODO Auto-generated method stub
		return null;
	}

	public boolean hasUnsavedChanges() {
		return false;
	}

	public void initialize(PropertyContainer documentOptions) {
	}

	public void save(String filename) throws Exception {
	}

	public void update() {
	}
	
	public Framebuffer getImage() {
		return image;
	}

}
