/*
 * Moonlight|3D
 * Copyright (C) 2009 The Moonlight|3D team
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * Created on Sep 16, 2009
 */

package eu.moonlight3d.hdrviewer.document;

import java.util.ArrayList;

import eu.moonlight3d.framework.State;

public class Plugin implements eu.moonlight3d.framework.plugins.Plugin {

	private ImageDocumentFactory imageDocumentFactory;

	public ArrayList<String> getDependencies() {
		ArrayList<String> dependencyList=new ArrayList<String>();
		return dependencyList;
	}

	public String getName() {
		return "eu.moonlight3d.hdrviewer.document.Plugin";
	}

	public void load() throws Exception {
		State state=State.getInstance();
		imageDocumentFactory=new ImageDocumentFactory();
		state.getDocumentManager().registerDocumentFactory(imageDocumentFactory);
	}

	public void unload() throws Exception {
		State state=State.getInstance();
		state.getDocumentManager().unregisterDocumentFactory(imageDocumentFactory);
	}

}
