/*
 * Moonlight|3D
 * Copyright (C) 2009 The Moonlight|3D team
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * Created on Sep 16, 2009
 */

package eu.moonlight3d.hdrviewer.mainwindow;

import java.util.ArrayList;

import eu.moonlight3d.framework.State;
import eu.moonlight3d.hdrviewer.document.ImageDocument;

public class LifecycleListener implements eu.moonlight3d.framework.document.LifecycleListener {
	private static ArrayList<MainWindow> windows;
	
	static {
		windows=new ArrayList<MainWindow>();
	}
	
	static void registerMainWindow(MainWindow window) {
		windows.add(window);
	}
	
	static void unregisterMainWindow(MainWindow window) {
		windows.remove(window);
	}

	public void afterNew() {
	}

	public void afterOpen(String filename) {
		State state=State.getInstance();
		ImageDocument document=(ImageDocument) state.getDocumentManager().getMainDocument();
		for(MainWindow window : windows) {
			window.getView().setImage(document.getImage());
		}
	}

	public void afterSave(String filename) {
	}

	public void beforeNew() {
		for(MainWindow window : windows) {
			window.getView().setImage(null);
		}
	}

	public void beforeOpen(String filename) {
	}

	public void beforeSave(String filename) {
	}

	public void onClose() {
		for(MainWindow window : windows) {
			window.getView().setImage(null);
		}
	}

}
