/*
 * Moonlight|3D
 * Copyright (C) 2009 The Moonlight|3D team
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * Created on Sep 27, 2009
 */

package eu.moonlight3d.hdrviewer.mainwindow;

import com.trolltech.qt.gui.QWidget;

import eu.moonlight3d.framework.State;
import eu.moonlight3d.framework.ui.Action;
import eu.moonlight3d.hdrviewer.viewer.ViewWidget;

public class ZoomLevelAction extends Action {
	float zoomLevel;
	
	public ZoomLevelAction(QWidget parent, String name, float zoomLevel) {
		super(name,"Zoom Level " + (int)(zoomLevel*100), parent);
		this.zoomLevel=zoomLevel;
        triggered.connect(this,"run()");
	}
	
	@Override
	public void run() {
		State state=State.getInstance();
		ViewWidget viewWidget=((MainWindow)state.getUIManager().getActiveApplicationWindow().centralWidget()).getView();
		viewWidget.getHDRDisplay().setScale(zoomLevel);
	}
}
