/*
 * Moonlight|3D
 * Copyright (C) 2009 The Moonlight|3D team
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * Created on Sep 16, 2009
 */

package eu.moonlight3d.hdrviewer.viewer;

import com.trolltech.qt.gui.QScrollArea;
import com.trolltech.qt.gui.QVBoxLayout;
import com.trolltech.qt.gui.QWidget;
import com.trolltech.qt.opengl.QGLFormat;

import eu.moonlight3d.common.image.core.Framebuffer;

public class ViewWidget extends QWidget {
	private QScrollArea scrollArea;
	private HDRDisplay hdrDisplay;
	
	public ViewWidget(QWidget parent) {
		super(parent);
		
		hdrDisplay=new HDRDisplay(this,new QGLFormat());

		scrollArea=new QScrollArea(this);
		scrollArea.setWidget(hdrDisplay);
		
		QVBoxLayout layout=new QVBoxLayout();
		layout.addWidget(scrollArea);
		layout.setMargin(0);
		setLayout(layout);
	}
	
	public HDRDisplay getHDRDisplay() {
		return hdrDisplay;
	}
	
	public void setExposure(float exposure) {
		hdrDisplay.setExposure(exposure);
	}
	
	public void setImage(Framebuffer image) {
		hdrDisplay.setImage(image);
	}
}
